.container.responsivegrid.nri-locations-form {
  margin: 30px auto 20px;

  @media screen and (max-width: 767px) {
    margin: 30px auto 20px;
  }

  .cmp-form {
    display: flex;
    justify-content: center;
    width: 100%;

    @media screen and (max-width: 767px) {
      justify-content: baseline;
      flex-direction: column;
      align-items: center;
    }

    .options.aem-GridColumn {
      width: unset;

      @media screen and (max-width: 580px) {
        width: 100%;
      }
    }

    .button.aem-GridColumn {
      width: unset;
    }

    .cmp-form-options {
      display: inline-block;
      margin-right: 10px;
      width: 580px;
      margin-bottom: 20px;

      @media screen and (max-width: 767px) {
        margin-bottom: 15px;
      }

      @media screen and (max-width: 580px) {
        width: 100%;
        margin-right: 0;
      }

      .cmp-form-options__label {
        font-size: 23px;
        letter-spacing: .9px;
        line-height: normal;
        text-align: left;
        width: 190px;
        vertical-align: top;

        @media screen and (max-width: 767px) {
          font-size: 21px;
        }

        @media screen and (max-width: 580px) {
          display: block;
          margin: 0 auto;
          text-align: center;
        }

        @media screen and (max-width: 420px) {
          font-size: 17px;
          font-weight: 300;
        }
      }

      .cmp-form-options__field {
        opacity: .3;
        width: 380px;
        border: none;
        font-size: 23px;
        font-weight: 600;
        height: 38px;
        letter-spacing: .9px;
        line-height: 2;
        margin-bottom: 5px;
        padding-right: 30px;
        border-bottom: 1px solid #000;
        text-transform: uppercase;

        @media screen and (max-width: 767px) {
          font-size: 16px;
          height: 34px;
          line-height: 2.7;
          margin-bottom: 0;
        }

        @media screen and (max-width: 580px) {
          display: block;
          margin: 0 auto;
          margin-top: 10px;
        }

        @media screen and (max-width: 420px) {
          width: 80%;
        }
      }
    }

    .cmp-form-button {
      font-size: 16px;
      font-weight: 600;
      color: #fff;
      text-decoration: none;
      margin-left: 15px;
      padding: 8px 28px 8px 24px;
      border-radius: 6px;
      background-color: #e90000;
      transition: all 0.5s linear;
      border: 1px solid #e90000;

      &::after {
        content: "\f061";
        display: inline-block;
        text-rendering: auto;
        margin-left: 24px;
        font-family: 'Font Awesome 6 Free';
        font-weight: 900;
        font-size: 16px;
        -webkit-font-smoothing: antialiased;
      }

      &:hover {
        color: #e90000;
        background: #fff;
      }
    }
  }
}